
/*** configurable components for CS390 ***/

#define MAINWIN_BACKGROUND 	0.1, 0.1, 0.7, 1.0

int cs390_MAINWIN_WIDTH = 600;
int cs390_MAINWIN_HEIGHT = 600;
int cs390_X_RANGE = 200.0;		/** -100 <= x <= 100 **/
int cs390_Y_RANGE = 200.0;		/** -100 <= y <= 100 **/
int cs390_Z_RANGE = 200.0;		/** -100 <= z <= 100 **/
double cs390_U_STEP  = 0.03;
double cs390_V_STEP  = 0.03;

/** if you find the scene rotate too slow along your mouse, try to increase 
 ** this integer **/
int cs390_ROTATE_SPEED = 3;

/** You may decrease this value to obtain more smooth B-spline curve **/
float sampling_tolerance = 25.0;

float front_mat_shininess[] = {30.0};
float front_mat_specular[] = {0.0, 0.0, 0.0, 1.0};
float front_mat_diffuse[] = {0.0, 1.0, 0.0, 1.0};
float back_mat_shininess[] = {50.0};
float back_mat_specular[] = {0.0, 0.0, 1.0, 1.0};
float back_mat_diffuse[] = {1.0, 0.0, 0.0, 1.0};

